Subject: Request from Utah
From: "Mike" <[email-masked]>
To: "BBB of W.MI -Terry Glenn" <[email-masked]>
Date: Mon, 20 Sep 2010 08:37:03 -0400

Terry,
I received a notification from an BBB office in Salt Lake City, UT requesting we register with them.  I couldn't remember if you were able to "link" them with you or if I needed to contact them to tell them to call you.  If your office handles that their contact information is as follows: 
            Better Business Bureau of Utah
            5673 South Redwood Rd. #22
            Salt Lake City, UT 84123
            Ph. 801-892-6009, Fx 801-892-6002
Thank you,
Michael Bishop
Labor Law Poster Service
Phone 877-321-4144
Fax 888-442-4144
[email-masked]